Bug Hunting Session
Bug 54612 - Pictures not rendered and text missing when rendering RTF document
Summary: Pictures not rendered and text missing when rendering RTF document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.1.0 target:4.0.0.1
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-09-06 19:47 UTC by Dwayne Bailey
Modified: 2015-12-17 12:08 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
RTF invoice (249.55 KB, text/rtf)
2012-09-06 19:47 UTC, Dwayne Bailey
Details
PDF export from Office of the same RTF doc (146.88 KB, application/pdf)
2012-09-06 19:48 UTC, Dwayne Bailey
Details
Same RTF file resaved with Word 2007 (668.58 KB, application/rtf)
2012-12-29 09:49 UTC, s-joyemusequna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dwayne Bailey 2012-09-06 19:47:37 UTC
Created attachment 66744 [details]
RTF invoice

I received the following RTF document which contains and invoice for my membership to a local computer society.  I'm not particularly concerned about the content.

The document does not render in 3.6.1 - all I get are a few horizontal lines, no images and no text.

I got my accountant to produce a PDF of the same document I assume from Office 2010.
Comment 1 Dwayne Bailey 2012-09-06 19:48:54 UTC
Created attachment 66745 [details]
PDF export from Office of the same RTF doc
Comment 2 s-joyemusequna 2012-11-11 09:22:07 UTC
Confirmed with LibO 3.5.6.2 under Windows Vista 64.

General i/o error with LOdev 3.7., Version 3.7.0.0.alpha0+ (Build ID: 2d1253), 2012-11-06.
Comment 3 s-joyemusequna 2012-11-11 19:29:48 UTC
Confirmed with LibO 3.4.5 too.

LibO 3.3.4 displays an empty page (one empty paragraph), LOdev 3.7 cannot load the file (general i/o error).
Comment 4 s-joyemusequna 2012-12-28 18:13:32 UTC
CRASH: LOdev 4.0 Beta2 cannot load the file either: "General Error.
General input/output error." Crash is a regression from very bad display.
Comment 5 s-joyemusequna 2012-12-29 09:49:02 UTC
Created attachment 72241 [details]
Same RTF file resaved with Word 2007

Same RTF file opens correctly when resaved with Word 2007, but pictures are missing.
Comment 6 Not Assigned 2012-12-30 22:17:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08b4efb4e1cd01311719caffea4117fd8770f20f

fdo#54612 don't crash on RTF_DPPTX before RTF_DPPOLYCOUNT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2012-12-31 14:16:54 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=810fc6553c73634aa4c64be9c2ae83112493d81c&h=libreoffice-4-0

fdo#54612 don't crash on RTF_DPPTX before RTF_DPPOLYCOUNT


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2012-12-31 14:24:59 UTC
Most of the issues were fixed when I worked on bug 42407. The remaining crasher is now fixed in master and -4-0 (not backporting to -3-6 as the code is new in 4.0). Marking as resolved.
Comment 9 Robinson Tryon (qubit) 2015-12-17 12:08:02 UTC Comment hidden (obsolete)